Skip to main content
PUT
/
api
/
accounts
/
{id}
Update a account by id
curl --request PUT \
  --url https://api.example.com/api/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Abbie",
  "addressLine1": "street or PO Box",
  "addressLine2": "Apt, suite, unit, building, floor etc.",
  "country": "US",
  "state": "CA",
  "city": "Los Angeles",
  "postalCode": "84001",
  "email": "abbie@gmail.com",
  "status": "active",
  "source": "<string>",
  "taxExempt": true
}
'
{
  "name": "Abbie2",
  "number": "ACC-0000000001",
  "addressLine1": "street or PO Box2",
  "addressLine2": "Apt, suite, unit, building, floor etc.2",
  "country": "US",
  "state": "CA",
  "city": "Redwood City",
  "postalCode": "84002",
  "email": "abbie2@gmail.com",
  "status": "active",
  "source": "aws",
  "taxExempt": true,
  "id": "e3ef9de3-bbdc-495c-b608-a6fa1f62ada0",
  "createdOn": "2026-03-02T03:39:31Z",
  "updatedOn": "2026-03-02T03:39:31Z",
  "createdBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510",
  "updatedBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Path Parameters

id
string
required

account id

Body

application/json
name
string

Name for this customer account

Required string length: 1 - 128
Example:

"Abbie"

addressLine1
string

Primary address line

Required string length: 6 - 256
Example:

"street or PO Box"

addressLine2
string

Secondary address line

Example:

"Apt, suite, unit, building, floor etc."

country
string

Country code

Example:

"US"

state
string

State or province

Example:

"CA"

city
string

City name

Example:

"Los Angeles"

postalCode
string

Postal or ZIP code

Example:

"84001"

email
string

Email address

Required string length: 3 - 128
Example:

"abbie@gmail.com"

status
enum<string>
Available options:
active,
in-active,
draft
source
string

Source of the account

taxExempt
boolean

Tax exempt used for tax engine integration

Response

OK

id
string
createdOn
string<date-time>
updatedOn
string<date-time>
createdBy
string
updatedBy
string
name
string

name

number
string
addressLine1
string
addressLine2
string
country
string | null
state
string | null
city
string | null
postalCode
string | null
email
string | null
status
enum<string>
Available options:
active,
in-active,
draft
source
string | null